aboutsummaryrefslogtreecommitdiff
path: root/0.8.0/paludis/qa/has_misc_files_check_TEST_setup.sh
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-10-11 20:56:59 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-10-11 20:56:59 +0000
commite3b86134db7baada7b3a1e779e7d6d046ab53a1a (patch)
tree6acb3c0de68e1b95dbba8f0e00f770b8f31e4bac /0.8.0/paludis/qa/has_misc_files_check_TEST_setup.sh
parentab9cdb1150d97449e857cd55fe706377c9ab2422 (diff)
downloadpaludis-0.8.0.tar.gz
paludis-0.8.0.tar.xz
Tag release 0.8.00.8.0
Diffstat (limited to '0.8.0/paludis/qa/has_misc_files_check_TEST_setup.sh')
-rwxr-xr-x0.8.0/paludis/qa/has_misc_files_check_TEST_setup.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/0.8.0/paludis/qa/has_misc_files_check_TEST_setup.sh b/0.8.0/paludis/qa/has_misc_files_check_TEST_setup.sh
new file mode 100755
index 0000000..123f032
--- /dev/null
+++ b/0.8.0/paludis/qa/has_misc_files_check_TEST_setup.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir has_misc_files_check_TEST_dir || exit 2
+cd has_misc_files_check_TEST_dir || exit 3
+
+mkdir "cat" || exit 4
+
+mkdir "cat/yes" || exit 5
+touch "cat/yes/ChangeLog" "cat/yes/metadata.xml" || exit 6
+mkdir "cat/yes/files" || exit 7
+
+mkdir "cat/no-changelog" || exit 8
+touch "cat/no-changelog/metadata.xml" || exit 9
+mkdir "cat/no-changelog/files" || exit 10
+
+mkdir "cat/no-metadata" || exit 8
+touch "cat/no-metadata/ChangeLog" || exit 9
+mkdir "cat/no-metadata/files" || exit 10
+
+mkdir "cat/no-files" || exit 11
+touch "cat/no-files/metadata.xml" "cat/no-files/ChangeLog" || exit 12
+